<?xml version="1.0" encoding="ISO-8859-1" ?>

<!DOCTYPE struts-config PUBLIC
          "-//Apache Software Foundation//DTD Struts Configuration 1.0//EN"
          "http://jakarta.apache.org/struts/dtds/struts-config_1_1.dtd">

<struts-config>

  <form-beans>
    <form-bean name="mediastoreForm" type="mediastore.web.struts.DynamicForm" />
  </form-beans>
  
  <global-forwards type="org.apache.struts.action.ActionForward">
    <forward name="Login" path="/jsp/login.jsp"/>
    <forward name="LoginFailure" path="/template/LoginFailure.jsp"/>
    <forward name="LoginSuccess" path="/template/LoginSuccess.jsp"/>
    <forward name="UserManage" path="/template/UserManage.jsp"/>
    <forward name="MemberManage" path="/template/MemberManage.jsp"/>
    <forward name="ImportGoodsBill" path="/template/ImportGoodsBill.jsp"/>
    <forward name="ImportBillSearchCon" path="/template/ImportBillSearchCon.jsp"/>
    <forward name="ImportItemSearchCon" path="/template/ImportItemSearchCon.jsp"/>
    <forward name="GoodsSearchCon" path="/template/GoodsSearchCon.jsp"/>
    <forward name="GoodsPropertyManage" path="/template/GoodsPropertyManage.jsp"/>
    <forward name="ExportGoodsBill" path="/template/ExportGoodsBill.jsp"/>
    <forward name="ExportBillSearchCon" path="/template/ExportBillSearchCon.jsp"/>
    <forward name="ExportItemSearchCon" path="/template/ExportItemSearchCon.jsp"/>
    <forward name="GoodsInfoView" path="/jsp/GoodsInfoView.jsp"/>
    <forward name="ImportItemsView" path="/jsp/ImportItemsView.jsp"/>
    <forward name="ExportItemsView" path="/jsp/ExportItemsView.jsp"/>
  </global-forwards>
  
  <action-mappings>
    <action path="/login" type="mediastore.web.action.LoginAction" name="mediastoreForm" />
    <action path="/logout" type="mediastore.web.action.LogoutAction" name="mediastoreForm" />
    
    <action path="/userManage" type="mediastore.web.action.UserManageAction" name="mediastoreForm" />
    <action path="/userManageLastLoginTimeDesc" type="mediastore.web.action.UserManageLastLoginTimeDescAction" name="mediastoreForm" />
    <action path="/userManageDelete" type="mediastore.web.action.UserManageDeleteAction" name="mediastoreForm" />
    <action path="/userManageInsert" type="mediastore.web.action.UserManageInsertAction" name="mediastoreForm" />
    
    <action path="/memberManage" type="mediastore.web.action.MemberManageAction" name="mediastoreForm" />
    <action path="/memberManageSearchOne" type="mediastore.web.action.MemberManageSearchOneAction" name="mediastoreForm" />
    <action path="/memberManageAddOne" type="mediastore.web.action.MemberManageAddOneAction" name="mediastoreForm" />
    <action path="/memberManageDelOne" type="mediastore.web.action.MemberManageDelOneAction" name="mediastoreForm" />
    <action path="/memberManageAdjustDis" type="mediastore.web.action.MemberManageAdjustDisAction" name="mediastoreForm" />
    <action path="/memberManageSetDiscount" type="mediastore.web.action.MemberManageSetDiscountAction" name="mediastoreForm" />

    <action path="/importGoodsBillShow" type="mediastore.web.action.ImportGoodsBillShowAction" name="mediastoreForm" />
    <action path="/importGoodsBillGoodsInsert" type="mediastore.web.action.ImportGoodsBillGoodsInsertAction" name="mediastoreForm" />
    <action path="/importGoodsBillGoodsDelete" type="mediastore.web.action.ImportGoodsBillGoodsDeleteAction" name="mediastoreForm" />
    <action path="/importGoodsBillGoodsUpdtAUP" type="mediastore.web.action.ImportGoodsBillGoodsUpdtAUPAction" name="mediastoreForm" />
    <action path="/importGoodsBillGoodsUpdtName" type="mediastore.web.action.ImportGoodsBillGoodsUpdtNameAction" name="mediastoreForm" />
    <action path="/importGoodsBillGoodsDelAll" type="mediastore.web.action.ImportGoodsBillGoodsDelAllAction" name="mediastoreForm" />
    <action path="/importGoodsBillGoodsSubmit" type="mediastore.web.action.ImportGoodsBillGoodsSubmitAction" name="mediastoreForm" />
    <action path="/importGoodsBillShowNew" type="mediastore.web.action.ImportGoodsBillShowNewAction" name="mediastoreForm" />
    
    <action path="/importBillSearchCon" type="mediastore.web.action.ImportBillSearchConAction" name="mediastoreForm" />
    <action path="/importBillSearch" type="mediastore.web.action.ImportBillSearchAction" name="mediastoreForm" />
    <action path="/importBillDelete" type="mediastore.web.action.ImportBillDeleteAction" name="mediastoreForm" />
    <action path="/importBillCancel" type="mediastore.web.action.ImportBillCancelAction" name="mediastoreForm" />
    <action path="/importBillUpdatePayment" type="mediastore.web.action.ImportBillUpdatePaymentAction" name="mediastoreForm" />
    
    <action path="/importItemSearchCon" type="mediastore.web.action.ImportItemSearchConAction" name="mediastoreForm" />
    <action path="/importItemSearch" type="mediastore.web.action.ImportItemSearchAction" name="mediastoreForm" />
    <action path="/importItemDelete" type="mediastore.web.action.ImportItemDeleteAction" name="mediastoreForm" />
    <action path="/importItemCancel" type="mediastore.web.action.ImportItemCancelAction" name="mediastoreForm" />
    <action path="/importItemSubmitTemp" type="mediastore.web.action.ImportItemSubmitTempAction" name="mediastoreForm" />
    
    <action path="/goodsSearchCon" type="mediastore.web.action.GoodsSearchConAction" name="mediastoreForm" />
    <action path="/goodsSearch" type="mediastore.web.action.GoodsSearchAction" name="mediastoreForm" />
    <action path="/goodsSearchUptGoodsName" type="mediastore.web.action.GoodsSearchUptGoodsNameAction" name="mediastoreForm" />
    <action path="/goodsSearchUptSubjectPersons" type="mediastore.web.action.GoodsSearchUptSubjectPersonsAction" name="mediastoreForm" />
    <action path="/goodsSearchUptGoodsType" type="mediastore.web.action.GoodsSearchUptGoodsTypeAction" name="mediastoreForm" />
    <action path="/goodsSearchUptGoodsClass" type="mediastore.web.action.GoodsSearchUptGoodsClassAction" name="mediastoreForm" />
    <action path="/goodsSearchUptGoodsShelfId" type="mediastore.web.action.GoodsSearchUptGoodsShelfIdAction" name="mediastoreForm" />
    <action path="/goodsSearchUptPurchaseUP" type="mediastore.web.action.GoodsSearchUptPurchaseUPAction" name="mediastoreForm" />
    <action path="/goodsSearchUptSpecialUP" type="mediastore.web.action.GoodsSearchUptSpecialUPAction" name="mediastoreForm" />
    <action path="/goodsSearchUptShelfLayerId" type="mediastore.web.action.GoodsSearchUptShelfLayerIdAction" name="mediastoreForm" />
    <action path="/goodsSearchUptLayerCellId" type="mediastore.web.action.GoodsSearchUptLayerCellIdAction" name="mediastoreForm" />
    <action path="/goodsSearchDeleteGoods" type="mediastore.web.action.GoodsSearchDeleteGoodsAction" name="mediastoreForm" />
   
    <action path="/goodsPropertyManage" type="mediastore.web.action.GoodsPropertyManageAction" name="mediastoreForm" />
    <action path="/goodsPropertyManageAddType" type="mediastore.web.action.GoodsPropertyManageAddTypeAction" name="mediastoreForm" />
    <action path="/goodsPropertyManageAddClass" type="mediastore.web.action.GoodsPropertyManageAddClassAction" name="mediastoreForm" />
    <action path="/goodsPropertyManageAddShelf" type="mediastore.web.action.GoodsPropertyManageAddShelfAction" name="mediastoreForm" />
    <action path="/goodsPropertyManageUptGoodsType" type="mediastore.web.action.GoodsPropertyManageUptGoodsTypeAction" name="mediastoreForm" />
    <action path="/goodsPropertyManageUptGoodsClass" type="mediastore.web.action.GoodsPropertyManageUptGoodsClassAction" name="mediastoreForm" />
    <action path="/goodsPropertyManageUptGoodsShelf" type="mediastore.web.action.GoodsPropertyManageUptGoodsShelfAction" name="mediastoreForm" />
    <action path="/goodsPropertyManageDelGoodsType" type="mediastore.web.action.GoodsPropertyManageDelGoodsTypeAction" name="mediastoreForm" />
    <action path="/goodsPropertyManageDelGoodsClass" type="mediastore.web.action.GoodsPropertyManageDelGoodsClassAction" name="mediastoreForm" />
    <action path="/goodsPropertyManageDelGoodsShelf" type="mediastore.web.action.GoodsPropertyManageDelGoodsShelfAction" name="mediastoreForm" />
    
    <action path="/exportGoodsBillShow" type="mediastore.web.action.ExportGoodsBillShowAction" name="mediastoreForm" />
    <action path="/exportGoodsBillGoodsInsert" type="mediastore.web.action.ExportGoodsBillGoodsInsertAction" name="mediastoreForm" />
    <action path="/exportGoodsBillUdtEAmount" type="mediastore.web.action.ExportGoodsBillUdtEAmountAction" name="mediastoreForm" />
    <action path="/exportGoodsBillGoodsDelete" type="mediastore.web.action.ExportGoodsBillGoodsDeleteAction" name="mediastoreForm" />
    <action path="/exportGoodsBillUptMembId" type="mediastore.web.action.ExportGoodsBillUptMembIdAction" name="mediastoreForm" />
    <action path="/exportGoodsBillGoodsSubmit" type="mediastore.web.action.ExportGoodsBillGoodsSubmitAction" name="mediastoreForm" />
    <action path="/exportGoodsBillGoodsDelAll" type="mediastore.web.action.ExportGoodsBillGoodsDelAllAction" name="mediastoreForm" />
    <action path="/exportGoodsBillShowNew" type="mediastore.web.action.ExportGoodsBillShowNewAction" name="mediastoreForm" />

    <action path="/exportBillSearchCon" type="mediastore.web.action.ExportBillSearchConAction" name="mediastoreForm" />
    <action path="/exportBillSearch" type="mediastore.web.action.ExportBillSearchAction" name="mediastoreForm" />
    <action path="/exportBillUpdatePayment" type="mediastore.web.action.ExportBillUpdatePaymentAction" name="mediastoreForm" />
    <action path="/exportBillDelete" type="mediastore.web.action.ExportBillDeleteAction" name="mediastoreForm" />
    <action path="/exportBillCancel" type="mediastore.web.action.ExportBillCancelAction" name="mediastoreForm" />

    <action path="/exportItemSearchCon" type="mediastore.web.action.ExportItemSearchConAction" name="mediastoreForm" />
    <action path="/exportItemSearch" type="mediastore.web.action.ExportItemSearchAction" name="mediastoreForm" />
    <action path="/exportItemDelete" type="mediastore.web.action.ExportItemDeleteAction" name="mediastoreForm" />
    <action path="/exportItemCancel" type="mediastore.web.action.ExportItemCancelAction" name="mediastoreForm" />
    <action path="/exportItemSubmitTemp" type="mediastore.web.action.ExportItemSubmitTempAction" name="mediastoreForm" />
    
    <action path="/goodsInfoView" type="mediastore.web.action.GoodsInfoViewAction" name="mediastoreForm" />
    <action path="/importItemsView" type="mediastore.web.action.ImportItemsViewAction" name="mediastoreForm" />
    <action path="/exportItemsView" type="mediastore.web.action.ExportItemsViewAction" name="mediastoreForm" />

  </action-mappings>

</struts-config>

